Bug 149450 - Coin2 build fix
Coin2 build fix
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Coin2 (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ralf Corsepius
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE4Target
  Show dependency treegraph
 
Reported: 2005-02-23 00:30 EST by Ralf Corsepius
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.3.0-8.fc3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-09 23:49:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
diff against fedora extras cvs (122.42 KB, application/octet-stream)
2005-02-23 00:32 EST, Ralf Corsepius
no flags Details
Update (122.67 KB, application/octet-stream)
2005-02-23 09:09 EST, Ralf Corsepius
no flags Details

  None (edit)
Description Ralf Corsepius 2005-02-23 00:30:53 EST
The patch in the attachment is supposed to fix the x86_64 build
failure documented in
http://fedoraproject.org/extras/3/build-logs/x86_64/Coin2.log

* Tue Feb 22  2005 Ralf Corsepius <ralf@links2linux.de> - 0:2.3.0-5
- Include simacros.
- Regenerate configure from simacros and FC3 libtool for x86_64.

Additional info:
Thorsten L. reported success on a predecessor of this patch on x86_64.
I don't have access to x86_64 systems and therefore can only test on i386.
Comment 1 Ralf Corsepius 2005-02-23 00:32:33 EST
Created attachment 111321 [details]
diff against fedora extras cvs
Comment 2 Ralf Corsepius 2005-02-23 09:09:14 EST
Created attachment 111335 [details]
Update

Additionally fix bug in Coin2 which causes bogus man3/*.3 manpages to be added
to the rpm.
Comment 3 Thorsten Leemhuis 2005-03-25 14:48:09 EST
Commited to CVS; will request build in the next days. Ralf, can you close this
bug? Thanks.
Comment 4 Thorsten Leemhuis 2005-05-06 14:12:50 EDT
Ralf, can you close this bug? this problem is fixed and the building problem
should be fixed now also. thx
Comment 5 Ralf Corsepius 2005-05-07 03:00:52 EDT
(In reply to comment #4)
> Ralf, can you close this bug? this problem is fixed and the building problem
> should be fixed now also. thx

I'll close it once the updated packages have been released.
Comment 6 Thorsten Leemhuis 2005-05-07 12:31:49 EDT
(In reply to comment #5)
> (In reply to comment #4)
> > Ralf, can you close this bug? this problem is fixed and the building problem
> > should be fixed now also. thx
> 
> I'll close it once the updated packages have been released.

It seems you forgot to tag the last update so the last rebuild tried to build
the -7 revision AFAICS.
Comment 7 Ralf Corsepius 2005-05-08 00:53:38 EDT
(In reply to comment #6)

> It seems you forgot to tag the last update so the last rebuild tried to build
> the -7 revision AFAICS.
Well, actually I was waiting to -8.fc3 to finish to avoid duplication of work,
now that -8.fc3 seems to have finished successfully, I have added -8.fc4. 

BTW: Unless http://fedoraproject.org/wiki/Extras explicitly tells me to edit
tobuild or to run some "package rebuild request script", I continue to edit the
wiki pages.
Comment 8 Michael Schwendt 2005-05-08 09:11:01 EDT
Please do use "make build TARGET=..." as announced on fedora-extras-list, e.g.
"make build TARGET=devel".

Note You need to log in before you can comment on or make changes to this bug.